import titleImg from '@/assets/images/screen/header-title.png';
import Clock from '../Clock';
import Styles from './style.less';

export default (props) => {
  return (
    <div className={Styles['screen-header-box']}>
      <div className={Styles['screen-header-left']}>
        <div>{props.title || '数据概览'}</div>
      </div>
      <div className={Styles['screen-header-left']}>
        <Clock className={Styles['clock-date']} />
      </div>
      <div className={Styles['screen-header-content']}>
        <img src={titleImg} alt="" />
      </div>
      <div className={Styles['screen-header-right']}>
        <Clock className={Styles['clock-time']} mode="time" />
      </div>
      <div className={Styles['screen-header-right']}>
        <div>{props.weather}</div>
      </div>
    </div>
  );
};
